from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.payment_services.list(cursor="ZXhhbXBsZTE", limit=20, deleted=True, include_fields=True)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentServices.list();
for await (const page of result) {
console.log(page);
}
}
run();
from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.payment_services.list(cursor="ZXhhbXBsZTE", limit=20, deleted=True, include_fields=True)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentServices.list();
for await (const page of result) {
console.log(page);
}
}
run();
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This API is different from the list connections because
it only returns payment services and not anti-fraud and gift card services.This endpoint requires the payment-services.read scope.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Wpay","colors":{"primary":"#00C9A5","light":"#00EDC3","dark":"#00A386"},"logo":{"light":"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=cb82dd605dec38c5aba3a686efd15768","dark":"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=79c20e51677b4e6b6710244059cfe3e0"},"favicon":"https://mintcdn.com/wpay/c50rx3S48hHhNNxb/assets/favicon.png?fit=max\u0026auto=format\u0026n=c50rx3S48hHhNNxb\u0026q=85\u0026s=041391ae1502802b2029a347236e6a77","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.{gr4vy_id}.gr4vy.app","https://api.{gr4vy_id}.gr4vy.app"]}},"navbar":{"links":[{"href":"https://wpay.io/","label":"About"},{"href":"https://developerhub.wpay.com.au/","label":"Documentation Hub"}],"primary":{"type":"button","label":"Contact","href":"https://wpay.io/contact/"}},"footer":{"socials":{"website":"https://wpay.io","linkedin":"https://www.linkedin.com/company/wpay"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"wpay","hasAudioNarration":false,"actualSubdomain":"wpay","customDomains":["integration.wpay.com.au"],"gitSource":{"type":"github","owner":"gr4vy","repo":"wpay-docs-mintlify","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6af206ae130c63682a17c60a","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Build","count":160},{"language":"default","tag":"API Reference","count":146},{"language":"default","tag":"Integration guides","count":78},{"language":"default","tag":"Features","count":73},{"language":"default","tag":"Embed","count":38},{"language":"default","tag":"Other","count":31},{"language":"default","tag":"PSPs \u0026 Gateways","count":25},{"language":"default","tag":"Instruments","count":20},{"language":"default","tag":"Vault","count":18},{"language":"default","tag":"Introduction","count":14}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#navbar>div{background-color:#3A4850!important}#navbar a{color:white}.nav-tabs svg{background-color:white!important}#navbar img:nth-child(2){display:none}#navbar img:nth-child(3){display:block}.payment-service-definition{background-color:white!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:0.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/payment-services/list-payment-services","slug":"/reference/payment-services/list-payment-services","pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-services","title":"List payment services","description":"List the configured payment services.","href":"/reference/payment-services/list-payment-services"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List the configured payment services.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This API is different from the `,_jsx(_components.a,{href:`/reference/connections/list-connections`,children:`list connections`}),` because\nit only returns payment services and not anti-fraud and gift card services.`]}),`\n`,_jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-services.read`}),` scope.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-services","title":"List payment services","description":"List the configured payment services.","href":"/reference/payment-services/list-payment-services"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/wpay/3dae7fbd0bb305c9/posthog.js"],"openApiReferenceData":{"operation":{"tags":["Payment services"],"summary":"List payment services","description":"List the configured payment services.","operationId":"list_payment_services","parameters":["17db70be-cd19-4de5-968c-427fa78937a9","0ad12988-3453-4faf-82dd-138f96f80408","447c1ce7-3c5e-44a6-8d12-1b14639bf070","a633c28a-70c5-493f-a362-fc20fb4bfb6e","ca2cd098-20df-4980-80db-caaff44f9e08","6c3344c0-51a4-47e7-be6b-72ecb4491bb8"],"responses":{"200":"4b0ca3e8-ede0-4f01-9b23-0331eaf58248","400":"8cac6210-bc85-4265-85c0-799276b87573","401":"4af0668b-1d7f-4fc9-8256-74ced741f903","403":"29a8d425-7d6c-479a-a1f7-59e16eb3cc53","404":"186fb278-e084-4547-a943-c17da5e7e635","405":"11432aa3-6706-44be-90a9-a909e0cecc2a","409":"ba29bdf2-1ca5-419f-a548-f01035bf6d89","422":"4e5339af-a319-437e-98b5-2d8a1228acb6","425":"3eca107a-1797-4e74-8b2f-34a8b8222e65","429":"b967527b-fb54-4bb9-b5fa-25697647055d","500":"854a3c68-17db-4976-a081-a616041a7952","502":"f3ef6583-97c8-4255-bae9-18df584850eb","504":"6309781d-66a2-4d54-83cd-11043ec351cb"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-services","x-speakeasy-pagination":{"type":"cursor","inputs":[{"name":"cursor","in":"parameters","type":"cursor"}],"outputs":{"nextCursor":"$.next_cursor"}},"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListPaymentServicesRequest(\n method: 'card',\n cursor: 'ZXhhbXBsZTE',\n deleted: true,\n);\n\n$responses = $sdk->paymentServices->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.PaymentServices.List(ctx, operations.ListPaymentServicesRequest{\n Cursor: gr4vygo.Pointer(\"ZXhhbXBsZTE\"),\n Deleted: gr4vygo.Pointer(true),\n })\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentServices.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentServicesRequest;\nimport com.gr4vy.sdk.models.operations.ListPaymentServicesResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListPaymentServicesRequest req = ListPaymentServicesRequest.builder()\n .cursor(\"ZXhhbXBsZTE\")\n .deleted(true)\n .build();\n\n\n sdk.paymentServices().list()\n .callAsStream()\n .forEach((ListPaymentServicesResponse item) -> {\n // handle page\n });\n\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n merchant_account_id=\"default\",\n bearer_auth=os.getenv(\"GR4VY_BEARER_AUTH\"),\n) as g_client:\n\n res = g_client.payment_services.list(cursor=\"ZXhhbXBsZTE\", limit=20, deleted=True, include_fields=True)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentServicesRequest req = new ListPaymentServicesRequest() {\n Method = Method.Card,\n Cursor = \"ZXhhbXBsZTE\",\n Deleted = true,\n};\n\nListPaymentServicesResponse? res = await sdk.PaymentServices.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"}],"method":"get","type":"path","servers":["75aa368c-be08-4fbf-8704-359bf716abe7","e0fb3382-d430-4fe9-8808-b4d3c7eb7850"],"security":["00d5f81a-7945-4aa6-8565-a7d2effa57b6"],"path":"/payment-services","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List payment services","codeSamples":[{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListPaymentServicesRequest(\n method: 'card',\n cursor: 'ZXhhbXBsZTE',\n deleted: true,\n);\n\n$responses = $sdk->paymentServices->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vygo.New(\n gr4vygo.WithMerchantAccountID(\"default\"),\n gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n )\n\n res, err := s.PaymentServices.List(ctx, operations.ListPaymentServicesRequest{\n Cursor: gr4vygo.Pointer(\"ZXhhbXBsZTE\"),\n Deleted: gr4vygo.Pointer(true),\n })\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentServices.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentServicesRequest;\nimport com.gr4vy.sdk.models.operations.ListPaymentServicesResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .merchantAccountId(\"default\")\n .bearerAuth(System.getenv().getOrDefault(\"BEARER_AUTH\", \"\"))\n .build();\n\n ListPaymentServicesRequest req = ListPaymentServicesRequest.builder()\n .cursor(\"ZXhhbXBsZTE\")\n .deleted(true)\n .build();\n\n\n sdk.paymentServices().list()\n .callAsStream()\n .forEach((ListPaymentServicesResponse item) -> {\n // handle page\n });\n\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n merchant_account_id=\"default\",\n bearer_auth=os.getenv(\"GR4VY_BEARER_AUTH\"),\n) as g_client:\n\n res = g_client.payment_services.list(cursor=\"ZXhhbXBsZTE\", limit=20, deleted=True, include_fields=True)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentServicesRequest req = new ListPaymentServicesRequest() {\n Method = Method.Card,\n Cursor = \"ZXhhbXBsZTE\",\n Deleted = true,\n};\n\nListPaymentServicesResponse? res = await sdk.PaymentServices.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"17db70be-cd19-4de5-968c-427fa78937a9":{"name":"method","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Method","description":"Return any payment service for this method.","example":"card","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Method","description":"Return any payment service for this method.","example":"card","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"Return any payment service for this method."},"0ad12988-3453-4faf-82dd-138f96f80408":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"A pointer to the page of results to return."},"447c1ce7-3c5e-44a6-8d12-1b14639bf070":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"The maximum number of items that are at returned.","examples":[20],"default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of items that are at returned."},"a633c28a-70c5-493f-a362-fc20fb4bfb6e":{"name":"deleted","in":"query","required":false,"schema":{"oneOf":[{"type":"boolean","title":"Deleted","description":"Return any deleted payment service.","default":false,"example":true,"uniqueKey":"oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Deleted","description":"Return any deleted payment service.","default":false,"example":true,"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"boolean | null"},"description":"Return any deleted payment service."},"ca2cd098-20df-4980-80db-caaff44f9e08":{"name":"include_fields","in":"query","required":false,"schema":{"type":"boolean","description":"Include the non-secret credential and reporting fields for each payment service. Disable this to reduce response time if you don't need them.","examples":[true],"default":true,"title":"Include Fields","isRequired":false,"uniqueKey":"","typeLabel":"boolean"},"description":"Include the non-secret credential and reporting fields for each payment service. Disable this to reduce response time if you don't need them."},"6c3344c0-51a4-47e7-be6b-72ecb4491bb8":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchant_account_id","schema":{"type":"string","description":"The ID of the merchant account to use for this request.","examples":["default"],"title":"X-Gr4Vy-Merchant-Account-Id","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"responses":{"4b0ca3e8-ede0-4f01-9b23-0331eaf58248":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"merchant_account_id":{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this job belongs to.","examples":["default"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_account_id","typeLabel":"string"},"payment_service_definition_id":{"type":"string","maxLength":50,"minLength":1,"title":"Payment Service Definition Id","description":"The definition ID of the service that has been configured.","examples":["stripe-card"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_service_definition_id","typeLabel":"string"},"method":{"type":"string","title":"Method","description":"The payment method that this service supports.","examples":["card"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].method","typeLabel":"string"},"display_name":{"type":"string","maxLength":200,"minLength":1,"title":"Display Name","description":"The display name for the payment service.","examples":["Stripe"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].display_name","typeLabel":"string"},"position":{"type":"integer","title":"Position","description":"Deprecated field used to define the order in which to process payment services","examples":[1],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].position","typeLabel":"integer"},"accepted_currencies":{"items":{"type":"string","pattern":"^[A-Z]{3}$","examples":["EUR","GBP","USD"],"uniqueKey":"\\items.items.[INDEX].accepted_currencies.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Accepted Currencies","description":"A list of currencies for which this service is enabled, in ISO 4217 three-letter code format.","examples":[["USD","EUR","GBP"]],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].accepted_currencies","typeLabel":"string[]"},"accepted_countries":{"items":{"type":"string","pattern":"^[A-Z]{2}$","examples":["DE","GB","US"],"uniqueKey":"\\items.items.[INDEX].accepted_countries.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Accepted Countries","description":"A list of countries for which this service is enabled, in ISO two-letter code format.","examples":[["US","DE","GB"]],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].accepted_countries","typeLabel":"string[]"},"payment_method_tokenization_enabled":{"type":"boolean","title":"Payment Method Tokenization Enabled","description":"Defines if this payment service support payment method tokenization.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_method_tokenization_enabled","typeLabel":"boolean"},"network_tokens_enabled":{"type":"boolean","title":"Network Tokens Enabled","description":"Defines if this payment service supports network tokens.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].network_tokens_enabled","typeLabel":"boolean"},"open_loop":{"type":"boolean","title":"Open Loop","description":"Defines if this payment service is open loop.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].open_loop","typeLabel":"boolean"},"settlement_reporting_enabled":{"type":"boolean","title":"Settlement Reporting Enabled","description":"Defines if this payment service has settlement reporting enabled.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].settlement_reporting_enabled","typeLabel":"boolean"},"refund_ingestion_enabled":{"type":"boolean","title":"Refund Ingestion Enabled","description":"Defines if this payment service has refund ingestion enabled.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].refund_ingestion_enabled","typeLabel":"boolean"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when this payment service was first created in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time when this payment service was last updated in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"type":{"type":"string","const":"payment-service","title":"Type","description":"Always `payment-service`","default":"payment-service","examples":["payment-service"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"id":{"type":"string","format":"uuid","title":"Id","default":"The ID of the payment service","examples":["fffd152a-9532-4087-9a4f-de58754210f0"],"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"active":{"type":"boolean","title":"Active","description":"Defines if this payment service is currently active.","default":true,"examples":[true,false],"uniqueKey":"\\items.items.[INDEX].active","typeLabel":"boolean"},"status":{"type":"string","title":"PaymentServiceStatus","default":"The current status of this service.","examples":["created"],"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"string"},"three_d_secure_enabled":{"oneOf":[{"type":"boolean","title":"Three D Secure Enabled","description":"Defines if this payment service has 3DS enabled.","example":true,"uniqueKey":"\\items.items.[INDEX].three_d_secure_enabled.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Three D Secure Enabled","description":"Defines if this payment service has 3DS enabled.","example":true,"uniqueKey":"\\items.items.[INDEX].three_d_secure_enabled.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].three_d_secure_enabled","typeLabel":"boolean | null"},"merchant_profile":{"oneOf":[{"type":"object","title":"Merchant Profile","description":"An object containing a key for each supported card schemes, and for each key an object with the 3DS profile for this service for that scheme.","additionalProperties":{"oneOf":[{"type":"object","title":"MerchantProfileSchemeSummary","required":["merchant_acquirer_bin","merchant_acquirer_id","merchant_name","merchant_country_code","merchant_category_code","merchant_url","created_at"],"properties":{"merchant_acquirer_bin":{"type":"string","maxLength":11,"title":"Merchant Acquirer Bin","description":"Acquirer BIN to use when calling 3DS through this scheme.","examples":["516327"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_acquirer_bin","typeLabel":"string"},"merchant_acquirer_id":{"type":"string","maxLength":35,"title":"Merchant Acquirer Id","description":"Merchant ID to use when calling 3DS through this scheme.","examples":["123456789012345"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_acquirer_id","typeLabel":"string"},"merchant_name":{"type":"string","maxLength":40,"title":"Merchant Name","description":"","examples":["Acme Inc."],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_name","typeLabel":"string"},"merchant_country_code":{"type":"string","title":"Merchant Country Code","description":"The merchant's ISO 3166-1 numeric country code.","examples":["840"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_country_code","typeLabel":"string"},"merchant_category_code":{"type":"string","maxLength":4,"minLength":4,"title":"Merchant Category Code","description":"Merchant category code to use when calling 3DS through this scheme.","examples":["1234"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_category_code","typeLabel":"string"},"merchant_url":{"type":"string","title":"Merchant Url","description":"URL to send when calling 3DS through this scheme.","examples":["https://example.com"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.merchant_url","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when this profile was first created in our system.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0.created_at","typeLabel":"string\u003cdate-time>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.0","typeLabel":"MerchantProfileSchemeSummary · object"},{"type":"null","uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0.additionalProperties","typeLabel":"MerchantProfileSchemeSummary · object | null"},"uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.0","typeLabel":"Merchant Profile · object"},{"type":"null","title":"Merchant Profile","description":"An object containing a key for each supported card schemes, and for each key an object with the 3DS profile for this service for that scheme.","uniqueKey":"\\items.items.[INDEX].merchant_profile.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_profile","typeLabel":"Merchant Profile · object | null"},"webhook_url":{"oneOf":[{"type":"string","title":"Webhook Url","description":"The URL that needs to be configured with this payment service as the receiving endpoint for webhooks from the service to our system. Currently, we dp not yet automatically register webhooks on setup, and therefore webhooks need to be registered manually by the merchant.","uniqueKey":"\\items.items.[INDEX].webhook_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Webhook Url","description":"The URL that needs to be configured with this payment service as the receiving endpoint for webhooks from the service to our system. Currently, we dp not yet automatically register webhooks on setup, and therefore webhooks need to be registered manually by the merchant.","uniqueKey":"\\items.items.[INDEX].webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].webhook_url","typeLabel":"string | null"},"fields":{"oneOf":[{"type":"array","items":{"properties":{"key":{"type":"string","maxLength":50,"minLength":1,"title":"Key","description":"The ID of the configured field.","examples":["api_key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.oneOf.0.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","maxLength":10000,"minLength":1,"title":"Value","description":"The value of the configured field.","examples":["key-12345"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.oneOf.0.items.[INDEX].value","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["key","value"],"title":"Field","description":"A field used in a payment service","uniqueKey":"\\items.items.[INDEX].fields.oneOf.0.items.[INDEX]","typeLabel":"Field · object"},"title":"Fields","description":"The non-secret credential fields that have been configured for this payment service. Any secret fields are omitted.","uniqueKey":"\\items.items.[INDEX].fields.oneOf.0","typeLabel":"Field · object[]"},{"type":"null","title":"Fields","description":"The non-secret credential fields that have been configured for this payment service. Any secret fields are omitted.","uniqueKey":"\\items.items.[INDEX].fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].fields","typeLabel":"Field · object[] | null"},"reporting_fields":{"oneOf":[{"type":"array","items":{"properties":{"key":{"type":"string","maxLength":50,"minLength":1,"title":"Key","description":"The ID of the configured field.","examples":["api_key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.oneOf.0.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","maxLength":10000,"minLength":1,"title":"Value","description":"The value of the configured field.","examples":["key-12345"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.oneOf.0.items.[INDEX].value","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["key","value"],"title":"Field","description":"A field used in a payment service","uniqueKey":"\\items.items.[INDEX].reporting_fields.oneOf.0.items.[INDEX]","typeLabel":"Field · object"},"title":"Reporting Fields","description":"The non-secret reporting fields that have been configured for this payment service. Any secret fields are omitted.","uniqueKey":"\\items.items.[INDEX].reporting_fields.oneOf.0","typeLabel":"Field · object[]"},{"type":"null","title":"Reporting Fields","description":"The non-secret reporting fields that have been configured for this payment service. Any secret fields are omitted.","uniqueKey":"\\items.items.[INDEX].reporting_fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].reporting_fields","typeLabel":"Field · object[] | null"},"is_deleted":{"type":"boolean","title":"Is Deleted","description":"Defines if this payment service has been deleted","default":false,"examples":[false],"uniqueKey":"\\items.items.[INDEX].is_deleted","typeLabel":"boolean"}},"additionalProperties":false,"type":"object","required":["merchant_account_id","payment_service_definition_id","method","display_name","position","accepted_currencies","accepted_countries","payment_method_tokenization_enabled","network_tokens_enabled","open_loop","settlement_reporting_enabled","refund_ingestion_enabled","created_at","updated_at"],"title":"PaymentService","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentService · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentService · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"PaymentServices","uniqueKey":"","typeLabel":"PaymentServices · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"merchant_account_id":"default","payment_service_definition_id":"stripe-card","method":"card","display_name":"Stripe","position":1,"accepted_currencies":["USD","EUR","GBP"],"accepted_countries":["US","DE","GB"],"payment_method_tokenization_enabled":true,"network_tokens_enabled":true,"open_loop":true,"settlement_reporting_enabled":true,"refund_ingestion_enabled":true,"created_at":"2013-07-16T19:23:00.000+00:00","updated_at":"2013-07-16T19:23:00.000+00:00","type":"payment-service","id":"fffd152a-9532-4087-9a4f-de58754210f0","active":true,"status":"created","three_d_secure_enabled":true,"merchant_profile":{},"webhook_url":"\u003cstring>","fields":[{"key":"api_key","value":"key-12345"}],"reporting_fields":[{"key":"api_key","value":"key-12345"}],"is_deleted":false}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"8cac6210-bc85-4265-85c0-799276b87573":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4af0668b-1d7f-4fc9-8256-74ced741f903":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"29a8d425-7d6c-479a-a1f7-59e16eb3cc53":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"186fb278-e084-4547-a943-c17da5e7e635":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"11432aa3-6706-44be-90a9-a909e0cecc2a":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ba29bdf2-1ca5-419f-a548-f01035bf6d89":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"4e5339af-a319-437e-98b5-2d8a1228acb6":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"3eca107a-1797-4e74-8b2f-34a8b8222e65":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b967527b-fb54-4bb9-b5fa-25697647055d":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"854a3c68-17db-4976-a081-a616041a7952":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"f3ef6583-97c8-4255-bae9-18df584850eb":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"6309781d-66a2-4d54-83cd-11043ec351cb":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"type":"string","title":"ErrorLocation","description":"The part of the request where the property can be found that caused the error.","examples":["body"],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"00d5f81a-7945-4aa6-8565-a7d2effa57b6":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"75aa368c-be08-4fbf-8704-359bf716abe7":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"e0fb3382-d430-4fe9-8808-b4d3c7eb7850":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"wpay","siteName":"Wpay","title":"List payment services - Wpay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-27T10:01:44.275Z","originalFileLocation":"reference/payment-services/list-payment-services.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List the configured payment services.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Wpay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List payment services - Wpay\">\u003cmeta data-mint-head property=\"og:description\" content=\"List the configured payment services.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Wpay\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://integration.wpay.com.au/reference/payment-services/list-payment-services\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://wpay.mintlify.site/_mintlify/api/og/v2?division=Payment+services\u0026amp;title=List+payment+services\u0026amp;description=List+the+configured+payment+services.\u0026amp;theme=30d92c696935031250b066e2\u0026amp;signature=d911e6305bdb9913488cab5e2ce78ccfcdcb58ef1af86844aa1a3c9fff3514e0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List payment services - Wpay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List the configured payment services.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://wpay.mintlify.site/_mintlify/api/og/v2?division=Payment+services\u0026amp;title=List+payment+services\u0026amp;description=List+the+configured+payment+services.\u0026amp;theme=30d92c696935031250b066e2\u0026amp;signature=d911e6305bdb9913488cab5e2ce78ccfcdcb58ef1af86844aa1a3c9fff3514e0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/wpay/tcjQq-rMmnPqOXHQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Wpay\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00C9A5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://integration.wpay.com.au/reference/payment-services/list-payment-services\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/payment-services/list-payment-services.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://integration.wpay.com.au/#organization\",\"name\":\"Wpay\",\"url\":\"https://integration.wpay.com.au\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/wpay/RxgiaZJ07iWfuxu1/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=RxgiaZJ07iWfuxu1\u0026q=85\u0026s=cb82dd605dec38c5aba3a686efd15768\"}},{\"@type\":\"WebSite\",\"@id\":\"https://integration.wpay.com.au#website\",\"name\":\"Wpay\",\"url\":\"https://integration.wpay.com.au\",\"publisher\":{\"@id\":\"https://integration.wpay.com.au/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services#webpage\",\"url\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services\",\"name\":\"List payment services\",\"description\":\"List the configured payment services.\",\"dateModified\":\"2026-07-27T10:01:44.275Z\",\"isPartOf\":{\"@id\":\"https://integration.wpay.com.au#website\"},\"breadcrumb\":{\"@id\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"PSPs \u0026 Gateways\",\"item\":\"https://integration.wpay.com.au/reference/connections/list-connections\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Payment services\",\"item\":\"https://integration.wpay.com.au/reference/payment-service-definitions/get-payment-service-definition\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List payment services\",\"item\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services#apireference\",\"headline\":\"List payment services\",\"name\":\"List payment services\",\"description\":\"List the configured payment services.\",\"url\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services\",\"mainEntityOfPage\":{\"@id\":\"https://integration.wpay.com.au/reference/payment-services/list-payment-services#webpage\"},\"dateModified\":\"2026-07-27T10:01:44.275Z\",\"publisher\":{\"@id\":\"https://integration.wpay.com.au/#organization\"},\"isPartOf\":{\"@id\":\"https://integration.wpay.com.au#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Wpay\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Wpay","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","pages":[{"title":"Build","href":"/guides/get-started"}]},{"tab":"Connector Requirements","icon":"clipboard-check","hidden":true,"pages":[{"title":"Connector Requirements","href":"/partners/connector-requirements/overview"}]},{"tab":"External Apps","icon":"puzzle-piece","hidden":true,"pages":[{"title":"External Apps","href":"/partners/external-apps"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","icon":"compass","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"title":"API Compatibility","sidebarTitle":"Compatibility","href":"/guides/api/compatibility"},{"title":"Connectivity and TLS","sidebarTitle":"Connectivity","href":"/guides/api/connectivity"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"title":"IP address forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"},{"title":"Pagination","href":"/guides/api/pagination"},{"sidebarTitle":"Prefer header","title":"Prefer header","href":"/guides/api/prefer-header"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"},{"title":"Transaction error codes","sidebarTitle":"Error Codes","mode":"wide","href":"/guides/api/error-codes"}]},{"group":"Transactions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/authorization/increment","title":"Increment transaction authorization","href":"/reference/transactions/increment-transaction-authorization"},{"group":"More actions","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/actions","title":"List transaction Flow rules","href":"/reference/transactions/list-transaction-actions"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"},{"title":"Update a transaction","openapi":"openapi.speakeasy.json PUT /transactions/{transaction_id}","href":"/reference/transactions/update-transaction"},{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","href":"/reference/transactions/cancel-transaction"},{"title":"Get or update transaction session","sidebarTitle":"Get session","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/session","href":"/reference/transactions/get-transaction-session"}]}]},{"group":"Buyers","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /buyers","title":"List all buyers","href":"/reference/buyers/list-buyers"},{"openapi":"openapi.speakeasy.json POST /buyers","title":"Add a buyer","href":"/reference/buyers/new-buyer"},{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}","title":"Get a buyer","href":"/reference/buyers/get-buyer"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}","title":"Update a buyer","href":"/reference/buyers/update-buyer"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}","title":"Delete a buyer","href":"/reference/buyers/delete-buyer"},{"group":"Shipping details","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}/shipping-details","title":"List a buyer's shipping details","href":"/reference/buyers/get-buyer-shipping-details"},{"openapi":"openapi.speakeasy.json POST /buyers/{buyer_id}/shipping-details","title":"Add buyer shipping details","href":"/reference/buyers/new-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Update a buyer's shipping details","href":"/reference/buyers/update-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Delete a buyer's shipping details","href":"/reference/buyers/delete-buyer-shipping-detail"}]}]},{"group":"Checkout Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /checkout/sessions","title":"Create checkout session","href":"/reference/checkout-sessions/new-checkout-session"},{"openapi":"openapi.speakeasy.json GET /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/get-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/update-checkout-session"},{"openapi":"openapi.speakeasy.json DELETE /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/delete-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}/fields","sidebarTitle":"Update session fields","title":null,"href":"/reference/checkout-sessions/update-checkout-session-fields"}]},{"group":"Payment links","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","href":"/reference/payment-links/list-payment-links"},{"openapi":"openapi.speakeasy.json POST /payment-links","title":"Add a payment link","href":"/reference/payment-links/new-payment-link"},{"openapi":"openapi.speakeasy.json GET /payment-links/{payment_link_id}","title":"Get payment link","href":"/reference/payment-links/get-payment-link"},{"openapi":"openapi.speakeasy.json POST /payment-links/{payment_link_id}/expire","title":"Expire a payment link","href":"/reference/payment-links/expire-payment-link"}]},{"group":"Payment options","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","href":"/reference/payment-options/list-payment-options"}]},{"group":"Refunds","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","href":"/reference/transactions/list-transaction-refunds"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds","title":"Create transaction refund","href":"/reference/transactions/refund-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds/all","sidebarTitle":"Refund all instruments","title":"Create batch transaction refund","href":"/reference/transactions/refund-all"},{"sidebarTitle":"Get refund","title":"Get refund","openapi":"openapi.speakeasy.json GET /refunds/{refund_id}","href":"/reference/transactions/get-refund"}]},{"group":"Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-service-definitions/{payment_service_definition_id}/sessions","sidebarTitle":"Get session","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session"},{"openapi":"openapi.speakeasy.json POST /payment-services/{payment_service_id}/sessions","sidebarTitle":"Get session by ID","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session-by-id"}]},{"group":"Instruments","icon":"code","pages":[{"group":"Card schemes","pages":[{"openapi":"openapi.speakeasy.json GET /card-scheme-definitions","title":"List card scheme definitions","href":"/reference/card-schemes/list-card-scheme-definitions"}]},{"group":"Card details","pages":[{"openapi":"openapi.speakeasy.json GET /card-details","title":"Get card details","href":"/reference/card-details/get-card-details"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/apple/session","title":"Create a Apple Pay session","href":"/reference/digital-wallets/get-apple-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/google/session","title":"Create a Google Pay session","href":"/reference/digital-wallets/get-google-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/click-to-pay/session","title":"Create a Click to Pay session","href":"/reference/digital-wallets/get-click-to-pay-session"}]},{"group":"Gift cards","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","href":"/reference/gift-cards/list-buyer-gift-cards"},{"openapi":"openapi.speakeasy.json GET /gift-cards","title":"List gift cards","href":"/reference/gift-cards/list-gift-cards"},{"openapi":"openapi.speakeasy.json POST /gift-cards/balances","title":"Verify and get gift card balances","sidebarTitle":"Verify \u0026 get balance","href":"/reference/gift-cards/list-gift-card-balances"},{"openapi":"openapi.speakeasy.json POST /gift-cards","title":"Create gift card","href":"/reference/gift-cards/new-gift-card"},{"openapi":"openapi.speakeasy.json GET /gift-cards/{gift_card_id}","title":"Get gift card","href":"/reference/gift-cards/get-gift-card"},{"openapi":"openapi.speakeasy.json DELETE /gift-cards/{gift_card_id}","title":"Delete a gift card","href":"/reference/gift-cards/delete-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/issuances","title":"Issue a gift card","href":"/reference/gift-cards/issue-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/activations","title":"Activate a gift card","href":"/reference/gift-cards/activate-gift-card"}]},{"group":"Payment methods","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/payment-methods","title":"List payment methods for a buyer","href":"/reference/payment-methods/list-buyer-payment-methods"},{"openapi":"openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","href":"/reference/payment-methods/list-payment-methods"},{"openapi":"openapi.speakeasy.json POST /payment-methods","title":"Create payment method","href":"/reference/payment-methods/new-payment-method"},{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}","title":"Get payment method","href":"/reference/payment-methods/get-payment-method"},{"openapi":"openapi.speakeasy.json PUT /payment-methods/{payment_method_id}","title":"Update payment method","href":"/reference/payment-methods/update-payment-method"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}","title":"Delete payment method","href":"/reference/payment-methods/delete-payment-method"}]},{"group":"Payment method definitions","pages":[{"openapi":"openapi.speakeasy.json GET /payment-method-definitions","title":"List payment method definitions","href":"/reference/payment-method-definitions/list-payment-method-definitions"}]}]},{"group":"Vault","icon":"code","pages":[{"group":"Account updater","pages":[{"openapi":"openapi.speakeasy.json POST /account-updater/jobs","sidebarTitle":"Create a job","title":"Create account updater job","href":"/reference/account-updater/new-account-updater-job"}]},{"group":"Network tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/network-tokens","title":"List network tokens","href":"/reference/network-tokens/list-network-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens","title":"Provision network token","href":"/reference/network-tokens/provision-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram","title":"Provision network token cryptogram","href":"/reference/network-tokens/get-network-token-cryptogram"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/suspend","title":"Suspend network token","href":"/reference/network-tokens/suspend-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/resume","title":"Resume network token","href":"/reference/network-tokens/resume-network-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/network-tokens/{network_token_id}","title":"Delete network token","href":"/reference/network-tokens/delete-network-token"}]},{"group":"Payment service tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","href":"/reference/payment-service-tokens/list-payment-service-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/payment-service-tokens","title":"Create payment service token","href":"/reference/payment-service-tokens/provision-payment-service-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/payment-service-tokens/{payment_service_token_id}","title":"Delete payment service token","href":"/reference/payment-service-tokens/delete-payment-service-token"}]},{"group":"Vault Forward","pages":[{"o
[...]
